Bug 439144 - local dependency graphing requires additional symlink
local dependency graphing requires additional symlink
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Administration (Show other bugs)
3.2
i386 Linux
low Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 06:39 EDT by Tzvi Edelman
Modified: 2013-06-23 22:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-27 10:59:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 424961 None None None Never

  None (edit)
Description Tzvi Edelman 2008-03-27 06:39:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
setting http://bugs.SITE.com/editparams.cgi?section=dependencygraph webdotbase
to /usr/bin/dot, saw lines like the following in
/var/log/httpd/bugs.SITE.com-error_log:
  [Tue Mar 25 05:21:09 2008] [error] [client 62.90.16.242] File does not exist:
/usr/share/bugzilla/var, referer:
http://bugs.SITE.com/showdependencygraph.cgi?id=1157

after poking around, figured out that bugzilla really wanted to get at
/var[/lib/bugzilla/data/webdot] from /usr/share/bugzilla/var, so did the
following symlink as a workaround:
  ln -s /var /usr/share/bugzilla/var
stopped the complaining and allowed the graphing to work.

This bug was already rejected by https://bugzilla.mozilla.org/show_bug.cgi?id=424961 saying:
"Frédéric Buclin   2008-03-25 15:34:04 PDT
This is working fine upstream. This is a bug in the Fedora RPM file. You should
report this problem to them as we have nothing to do with the Fedora project."

Version-Release number of selected component (if applicable):
bugzilla-3.0.2-2.fc6

How reproducible:
Didn't try


Steps to Reproduce:
1. http://bugs.SITE.com/editparams.cgi?section=dependencygraph webdotbase to
/usr/bin/dot, install graphviz rpm, etc.
2. assert dependencies between bugs
3. click on link behind "Show dependency graph":
http://bugs.SITE.com/showdependencygraph.cgi?id=1143

Actual Results:
no diagram displayed

Expected Results:
diagram displayed

check /var/log/httpd/bugs.SITE.com-error_log for details.

Additional info:
workaround:
  ln -s /var /usr/share/bugzilla/var

perhaps there is a parameter whose value is currently "/usr/share/bugzilla/var"
that could be reset to "/var"?
Comment 1 David Lawrence 2008-03-27 10:59:53 EDT
Employees of Red Hat do not maintain or create the Bugzilla RPM living in the
Fedora repositories. It is done by a volunteer in the Fedora community. Please
run 'rpm -qi bugzilla' and email the person who is listed as the Maintainer of
the package with your bug report.

Note You need to log in before you can comment on or make changes to this bug.